﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Interactivity;
using Infragistics.Windows.Ribbon;
using Infragistics.Windows.Ribbon.Events;
using CaliburnMicroWPFTest.Framework;
using System.Windows;

namespace CaliburnMicroWPFTest
{
   public class OnClone : TriggerBase<ButtonTool>
   {
        public string Attach { get; set; }

        protected override void OnAttached()
        {
            AssociatedObject.Cloned += Cloned;
            
            base.OnAttached();
        }

        private void Cloned(object sender, ToolClonedEventArgs e)
        {           
            AssociatedObject.Cloned -= Cloned;

            var button = (ButtonTool)e.OriginalTool;
            Message.SetAttach(button, Attach);

            button = (ButtonTool)e.ClonedTool;
            Message.SetAttach(button, Attach);
        }    
   }
}
